GET https://api.ap1.datadoghq.com/api/v2/app-builder/blueprint/{blueprint_id} https://api.ap2.datadoghq.com/api/v2/app-builder/blueprint/{blueprint_id} https://api.datadoghq.eu/api/v2/app-builder/blueprint/{blueprint_id} https://api.ddog-gov.com/api/v2/app-builder/blueprint/{blueprint_id} https://api.us2.ddog-gov.com/api/v2/app-builder/blueprint/{blueprint_id} https://api.uk1.datadoghq.com/api/v2/app-builder/blueprint/{blueprint_id} https://api.datadoghq.com/api/v2/app-builder/blueprint/{blueprint_id} https://api.us3.datadoghq.com/api/v2/app-builder/blueprint/{blueprint_id} https://api.us5.datadoghq.com/api/v2/app-builder/blueprint/{blueprint_id}
Información general Retrieve an app blueprint by its ID.
This endpoint requires
any
of the following permissions:
apps_runapps_writeconnections_readconnections_writeArgumentos Parámetros de ruta The ID of the blueprint to retrieve.
Respuesta OK
The response for retrieving a single blueprint.
Expand All
The attributes of a blueprint resource.
The timestamp when the blueprint was created.
The app definition type.
Allowed enum values: appDefinitions
default: appDefinitions
A description of what the blueprint does.
embedded_datastore_blueprints
Embedded datastore blueprints.
embedded_workflow_blueprints
Embedded workflow blueprints.
The integration ID associated with the blueprint.
Mocked outputs for testing the blueprint.
The human-readable name of the blueprint.
The unique slug identifier of the blueprint.
Tags associated with the blueprint.
The background style of the blueprint tile.
The fully qualified name of the action used as the tile icon.
The timestamp when the blueprint was last updated.
The resource type for a blueprint.
Allowed enum values: blueprint
{
"data" : {
"attributes" : {
"created_at" : "" ,
"definition" : "appDefinitions" ,
"description" : "" ,
"embedded_datastore_blueprints" : {},
"embedded_native_actions" : [],
"embedded_workflow_blueprints" : {},
"integration_id" : "string" ,
"mocked_outputs" : {},
"name" : "AWS Service Manager" ,
"slug" : "aws-service-manager" ,
"tags" : [],
"tile_background" : "string" ,
"tile_icon_action_fqn" : "string" ,
"updated_at" : ""
},
"id" : "65bb1f25-52e1-4510-9f8d-22d1516ed693" ,
"type" : "blueprint"
}
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Ejemplo de código Copia
# Path parameters export blueprint_id = "65bb1f25-52e1-4510-9f8d-22d1516ed693" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/app-builder/blueprint/${blueprint_id} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Get Blueprint returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.app_builder_api import AppBuilderApi
from uuid import UUID
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = AppBuilderApi ( api_client )
response = api_instance . get_blueprint (
blueprint_id = UUID ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ),
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# Get Blueprint returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: AppBuilderAPI . new
p api_instance . get_blueprint ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// Get Blueprint returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
"github.com/google/uuid"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAppBuilderApi ( apiClient )
resp , r , err := api . GetBlueprint ( ctx , uuid . MustParse ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ))
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AppBuilderApi.GetBlueprint`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `AppBuilderApi.GetBlueprint`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// Get Blueprint returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AppBuilderApi ;
import com.datadog.api.client.v2.model.GetBlueprintResponse ;
import java.util.UUID ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
AppBuilderApi apiInstance = new AppBuilderApi ( defaultClient );
try {
GetBlueprintResponse result =
apiInstance . getBlueprint ( UUID . fromString ( "65bb1f25-52e1-4510-9f8d-22d1516ed693" ));
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling AppBuilderApi#getBlueprint" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// Get Blueprint returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_app_builder ::AppBuilderAPI ;
use uuid ::Uuid ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = AppBuilderAPI ::with_config ( configuration );
let resp = api
. get_blueprint (
Uuid ::parse_str ( "00000000-0000-0000-0000-000000000000" ). expect ( "invalid UUID" ),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* Get Blueprint returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . AppBuilderApi ( configuration );
const params : v2.AppBuilderApiGetBlueprintRequest = {
blueprintId : "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ,
};
apiInstance
. getBlueprint ( params )
. then (( data : v2.GetBlueprintResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"